struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Al Sutton" <al.sut...@alsutton.com>
Subject Re: Netbeans 6.0 Editor Error with struts2 library
Date Wed, 16 Jan 2008 12:11:14 GMT
Might be an idea to ask the Netbeans list, sounds like they've got some 
optimization problems with empty methods being eliminated.

----- Original Message ----- 
From: "Igor Vlasov" <vigor78@mail.ru>
To: <user@struts.apache.org>
Sent: Wednesday, January 16, 2008 11:00 AM
Subject: Netbeans 6.0 Editor Error with struts2 library


>
> Hello.
>
> I have installed a netbeans 6 on jdk6u4 and  all recent updates for it.
>
> Then i Try to implement an interface in my custom class.
>
> public class Site1AuthAction  implements ServletRequestAware{
> public void setServletRequest(HttpServletRequest request) {
>
>  }
> }
>
> I get strarge editor warning in my UI Interface:
> <h3>"Site1AuthAction is not abstract and does not override abstract method
> setServletRequest(HttpServletRequest) in
> org.apache.struts2.interceptor.ServletRequestAware</h3>
>
> This is the screenshot:  http://www.nabble.com/file/p14878230/nbgluck.JPG
> nbgluck.JPG
>
> BUT it compiles to valid Class and looks good.
>
> In Netbeans 5.5 and 5.5.1  all is working fine
>
>
> Anyone have such problem ?
>
>
>
> -- 
> View this message in context: 
> http://www.nabble.com/Netbeans-6.0-Editor-Error-with-struts2-library-tp14878230p14878230.html
> Sent from the Struts - User mailing list archive at Nabble.com.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> For additional commands, e-mail: user-help@struts.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message